From cff0095c29f013304f345e58a0513b20a479d101 Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@163.com>
Date: Wed, 28 Apr 2021 15:21:55 +0800
Subject: [PATCH] * lisp/international/mule-cmds.el (deactivate-input-method):
 Tiny improve.

---
 lisp/international/mule-cmds.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/international/mule-cmds.el b/lisp/international/mule-cmds.el
index b99db46e45..3deb448632 100644
--- a/lisp/international/mule-cmds.el
+++ b/lisp/international/mule-cmds.el
@@ -1500,7 +1500,8 @@ deactivate-input-method
 	(progn
 	  (setq input-method-function nil
 		current-input-method-title nil)
-	  (funcall deactivate-current-input-method-function))
+          (when (functionp deactivate-current-input-method-function)
+	    (funcall deactivate-current-input-method-function)))
       (unwind-protect
 	  (run-hooks 'input-method-deactivate-hook)
 	(setq current-input-method nil)
-- 
2.20.1

